﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/Contasimple/contasimple-desktop/releases/download/v3.1.0/contasimple-setup-3.1.0.exe'
$url64      = 'https://github.com/Contasimple/contasimple-desktop/releases/download/v3.1.0/contasimple-setup-3.1.0.exe'
$packageName = 'contasimple-desktop'

$packageArgs = @{
  packageName   = $packagename
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64
  silentArgs   = '/S "/D=C:\Program Files\Contasimple Desktop"'
  validExitCodes= @(0)
  softwareName  = 'Contasimple*'
  checksum      = '1878F34904823BDAE67583D9732408FEE92BDB27D760500CABFABCBCD1C525F3'
  checksumType  = 'sha256'
  checksum64    = '1878F34904823BDAE67583D9732408FEE92BDB27D760500CABFABCBCD1C525F3'
  checksumType64= 'sha256'
}

Install-ChocolateyPackage @packageArgs